org.apache.ignite.internal.visor.cache

## Class VisorCacheAggregatedMetrics

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheAggregatedMetrics

All Implemented Interfaces:
  Serializable

    public class VisorCacheAggregatedMetrics
    extends Object
    implements Serializable

Data transfer object for aggregated cache metrics.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheAggregatedMetrics(String cacheName)` Create data transfer object with given parameters.

### Method Summary

Methods
`double` `averageHits()`
`double` `averageMisses()`
`double` `averageQueryTime()`
`double` `averageReads()`
`double` `averageSize()`
`double` `averageWrites()`
`String` `cacheName()`
`int` `execsQuery()`
`int` `failsQuery()`
`long` `maximumHits()`
`long` `maximumMisses()`
`long` `maximumQueryTime()`
`long` `maximumReads()`
`int` `maximumSize()`
`long` `maximumWrites()`
`Map<UUID,VisorCacheMetrics>` `metrics()`
`long` `minimumHits()`
`long` `minimumMisses()`
`long` `minimumQueryTime()`
`long` `minimumReads()`
`int` `minimumSize()`
`long` `minimumWrites()`
`Collection<UUID>` `nodes()`
`String` `toString()`
`long` `totalQueryTime()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheAggregatedMetrics

    public VisorCacheAggregatedMetrics(String cacheName)

Create data transfer object with given parameters.

Parameters:
  `cacheName` - Cache name.

### Method Detail

#### cacheName

    public String cacheName()

Returns:
  Cache name.

#### nodes

    public Collection<UUID> nodes()

Returns:
  Nodes.

#### minimumSize

    public int minimumSize()

Returns:
  Minimum number of elements in the cache.

#### averageSize

    public double averageSize()

Returns:
  Average number of elements in the cache.

#### maximumSize

    public int maximumSize()

Returns:
  Maximum number of elements in the cache.

#### minimumHits

    public long minimumHits()

Returns:
  Minimum hits of the owning cache.

#### averageHits

    public double averageHits()

Returns:
  Average hits of the owning cache.

#### maximumHits

    public long maximumHits()

Returns:
  Maximum hits of the owning cache.

#### minimumMisses

    public long minimumMisses()

Returns:
  Minimum misses of the owning cache.

#### averageMisses

    public double averageMisses()

Returns:
  Average misses of the owning cache.

#### maximumMisses

    public long maximumMisses()

Returns:
  Maximum misses of the owning cache.

#### minimumReads

    public long minimumReads()

Returns:
  Minimum total number of reads of the owning cache.

#### averageReads

    public double averageReads()

Returns:
  Average total number of reads of the owning cache.

#### maximumReads

    public long maximumReads()

Returns:
  Maximum total number of reads of the owning cache.

#### minimumWrites

    public long minimumWrites()

Returns:
  Minimum total number of writes of the owning cache.

#### averageWrites

    public double averageWrites()

Returns:
  Average total number of writes of the owning cache.

#### maximumWrites

    public long maximumWrites()

Returns:
  Maximum total number of writes of the owning cache.

#### minimumQueryTime

    public long minimumQueryTime()

Returns:
  Minimum execution time of query.

#### averageQueryTime

    public double averageQueryTime()

Returns:
  Average execution time of query.

#### maximumQueryTime

    public long maximumQueryTime()

Returns:
  Maximum execution time of query.

#### totalQueryTime

    public long totalQueryTime()

Returns:
  Total execution time of query.

#### execsQuery

    public int execsQuery()

Returns:
  Number of executions.

#### failsQuery

    public int failsQuery()

Returns:
  Total number of times a query execution failed.

#### metrics

    public Map<UUID,VisorCacheMetrics> metrics()

Returns:
  Node IDs with cache metrics.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015